update sogo to latest release.

feedback and OK sthen@
This commit is contained in:
sebastia 2012-08-17 09:59:08 +00:00
parent 8c913c9354
commit 3e702402f1
6 changed files with 116 additions and 15 deletions

View File

@ -1,8 +1,8 @@
# $OpenBSD: Makefile,v 1.19 2012/07/08 14:21:02 sebastia Exp $
# $OpenBSD: Makefile,v 1.20 2012/08/17 09:59:08 sebastia Exp $
COMMENT = web based groupware server
VERSION = 1.3.16
VERSION = 1.3.17
DISTNAME = SOGo-${VERSION}
PKGNAME = sogo-${VERSION}
@ -66,5 +66,11 @@ post-install:
${INSTALL_SCRIPT} -c -o ${SHAREOWN} -g ${SHAREGRP} \
${WRKSRC}/Scripts/sql-update-1.3.11_to_1.3.12-mysql.sh \
${PREFIX}/share/doc/sogo/sql-update-1.3.11_to_1.3.12-mysql.sh
${INSTALL_SCRIPT} -c -o ${SHAREOWN} -g ${SHAREGRP} \
${WRKSRC}/Scripts/sql-update-1.3.16_to_1.3.17.sh \
${PREFIX}/share/doc/sogo/sql-update-1.3.16_to_1.3.17-postgres.sh
${INSTALL_SCRIPT} -c -o ${SHAREOWN} -g ${SHAREGRP} \
${WRKSRC}/Scripts/sql-update-1.3.16_to_1.3.17-mysql.sh \
${PREFIX}/share/doc/sogo/sql-update-1.3.16_to_1.3.17-mysql.sh
.include <bsd.port.mk>

View File

@ -1,5 +1,2 @@
MD5 (SOGo-1.3.16.tar.gz) = fv1mAnTSuHJRFcvi/hZn6Q==
RMD160 (SOGo-1.3.16.tar.gz) = fZ6YYdL3WufQuy9i+iGyXmeEFZw=
SHA1 (SOGo-1.3.16.tar.gz) = kSrSRH8zt2fnVSeuSScR5GEm0QY=
SHA256 (SOGo-1.3.16.tar.gz) = EVvie39+njhhhRkJUM2bBIdEuQ3LsiX73h7+3Vi8Z3U=
SIZE (SOGo-1.3.16.tar.gz) = 4930514
SHA256 (SOGo-1.3.17.tar.gz) = MSFQIg3rEebzSY302Bj0T+CfTui+TmQMn6+O8zN87HQ=
SIZE (SOGo-1.3.17.tar.gz) = 4953951

View File

@ -0,0 +1,38 @@
$OpenBSD: patch-Scripts_sql-update-1_3_16_to_1_3_17-mysql_sh,v 1.1 2012/08/17 09:59:08 sebastia Exp $
--- Scripts/sql-update-1.3.16_to_1.3.17-mysql.sh.orig Thu Jul 26 19:47:19 2012
+++ Scripts/sql-update-1.3.16_to_1.3.17-mysql.sh Thu Jul 26 19:49:35 2012
@@ -1,4 +1,4 @@
-#!/bin/bash
+#!/bin/sh
set -e
@@ -13,15 +13,15 @@ set -e
defaultusername=$USER
defaulthostname=127.0.0.1
defaultdatabase=$USER
-indextable=$(su - sogo -c "defaults read sogod OCSFolderInfoURL" | awk -F/ '{print $NF}')
+indextable=$(defaults read sogod OCSFolderInfoURL | awk -F/ '{print $NF}')
if [ -z "$indextable" ]; then
echo "Couldn't fetch OCSFolderInfoURL value, aborting" >&2
exit 1
fi
-read -p "Username ($defaultusername): " username
-read -p "Hostname ($defaulthostname): " hostname
-read -p "Database ($defaultdatabase): " database
+read username?"Username ($defaultusername): "
+read hostname?"Hostname ($defaulthostname): "
+read database?"Database ($defaultdatabase): "
if [ -z "$username" ]
then
@@ -40,7 +40,7 @@ then
sqlscript=""
-function growVC() {
+growVC() {
oldIFS="$IFS"
IFS=" "
part="`echo -e \"ALTER TABLE $table MODIFY c_cycleinfo mediumtext;\\n\"`";

View File

@ -0,0 +1,38 @@
$OpenBSD: patch-Scripts_sql-update-1_3_16_to_1_3_17_sh,v 1.1 2012/08/17 09:59:08 sebastia Exp $
--- Scripts/sql-update-1.3.16_to_1.3.17.sh.orig Thu Jul 26 19:45:02 2012
+++ Scripts/sql-update-1.3.16_to_1.3.17.sh Thu Jul 26 19:46:21 2012
@@ -1,4 +1,4 @@
-#!/bin/bash
+#!/bin/sh
set -e
# This script only works with PostgreSQL
@@ -11,15 +11,15 @@ defaultusername=$USER
defaulthostname=localhost
defaultdatabase=$USER
#indextable=sogo_folder_info
-indextable=$(su - sogo -c "defaults read sogod OCSFolderInfoURL" | awk -F/ '{print $NF}')
+indextable=$(defaults read sogod OCSFolderInfoURL | awk -F/ '{print $NF}')
if [ -z "$indextable" ]; then
echo "Couldn't fetch OCSFolderInfoURL value, aborting" >&2
exit 1
fi
-read -p "Username ($defaultusername): " username
-read -p "Hostname ($defaulthostname): " hostname
-read -p "Database ($defaultdatabase): " database
+read username?"Username ($defaultusername): "
+read hostname?"Hostname ($defaulthostname): "
+read database?"Database ($defaultdatabase): "
if [ -z "$username" ]
then
@@ -36,7 +36,7 @@ fi
sqlscript=""
-function growVC() {
+growVC() {
oldIFS="$IFS"
IFS=" "
part="`echo -e \"ALTER TABLE $table ALTER COLUMN c_cycleinfo TYPE VARCHAR(1000000);\\n\"`";

View File

@ -1,4 +1,4 @@
@comment $OpenBSD: PLIST,v 1.11 2012/07/08 14:21:02 sebastia Exp $
@comment $OpenBSD: PLIST,v 1.12 2012/08/17 09:59:08 sebastia Exp $
@newgroup _sogo:659
@newuser _sogo:659:_sogo:daemon:SOGo user:/var/sogo:/bin/sh
include/GDLContentStore/
@ -1203,12 +1203,10 @@ lib/GNUstep/SOGo/Templates/AdministrationUI/UIxAdministration.wox
lib/GNUstep/SOGo/Templates/AdministrationUI/UIxAdministrationFilterPanel.wox
lib/GNUstep/SOGo/Templates/Appointments/
lib/GNUstep/SOGo/Templates/Appointments/SOGoAptMailDeletion.wox
lib/GNUstep/SOGo/Templates/Appointments/SOGoAptMailDeletionReceipt.wox
lib/GNUstep/SOGo/Templates/Appointments/SOGoAptMailICalReply.wox
lib/GNUstep/SOGo/Templates/Appointments/SOGoAptMailInvitation.wox
lib/GNUstep/SOGo/Templates/Appointments/SOGoAptMailInvitationReceipt.wox
lib/GNUstep/SOGo/Templates/Appointments/SOGoAptMailReceipt.wox
lib/GNUstep/SOGo/Templates/Appointments/SOGoAptMailUpdate.wox
lib/GNUstep/SOGo/Templates/Appointments/SOGoAptMailUpdateReceipt.wox
lib/GNUstep/SOGo/Templates/ContactsUI/
lib/GNUstep/SOGo/Templates/ContactsUI/UIxContactEditor.wox
lib/GNUstep/SOGo/Templates/ContactsUI/UIxContactFoldersView.wox
@ -1492,6 +1490,8 @@ lib/GNUstep/SOGo/WebServerResources/calendar-reload.png
lib/GNUstep/SOGo/WebServerResources/choose-date.png
lib/GNUstep/SOGo/WebServerResources/ckeditor/
lib/GNUstep/SOGo/WebServerResources/ckeditor/LICENSE.html
lib/GNUstep/SOGo/WebServerResources/ckeditor/adapters/
lib/GNUstep/SOGo/WebServerResources/ckeditor/adapters/jquery.js
lib/GNUstep/SOGo/WebServerResources/ckeditor/ckeditor.js
lib/GNUstep/SOGo/WebServerResources/ckeditor/ckeditor_basic.js
lib/GNUstep/SOGo/WebServerResources/ckeditor/config.js
@ -1531,6 +1531,7 @@ lib/GNUstep/SOGo/WebServerResources/ckeditor/lang/he.js
lib/GNUstep/SOGo/WebServerResources/ckeditor/lang/hi.js
lib/GNUstep/SOGo/WebServerResources/ckeditor/lang/hr.js
lib/GNUstep/SOGo/WebServerResources/ckeditor/lang/hu.js
lib/GNUstep/SOGo/WebServerResources/ckeditor/lang/id.js
lib/GNUstep/SOGo/WebServerResources/ckeditor/lang/is.js
lib/GNUstep/SOGo/WebServerResources/ckeditor/lang/it.js
lib/GNUstep/SOGo/WebServerResources/ckeditor/lang/ja.js
@ -1585,6 +1586,8 @@ lib/GNUstep/SOGo/WebServerResources/ckeditor/plugins/a11yhelp/lang/mk.js
lib/GNUstep/SOGo/WebServerResources/ckeditor/plugins/a11yhelp/lang/nb.js
lib/GNUstep/SOGo/WebServerResources/ckeditor/plugins/a11yhelp/lang/nl.js
lib/GNUstep/SOGo/WebServerResources/ckeditor/plugins/a11yhelp/lang/no.js
lib/GNUstep/SOGo/WebServerResources/ckeditor/plugins/a11yhelp/lang/pt-br.js
lib/GNUstep/SOGo/WebServerResources/ckeditor/plugins/a11yhelp/lang/ro.js
lib/GNUstep/SOGo/WebServerResources/ckeditor/plugins/a11yhelp/lang/tr.js
lib/GNUstep/SOGo/WebServerResources/ckeditor/plugins/a11yhelp/lang/ug.js
lib/GNUstep/SOGo/WebServerResources/ckeditor/plugins/a11yhelp/lang/vi.js
@ -1686,6 +1689,7 @@ lib/GNUstep/SOGo/WebServerResources/ckeditor/plugins/placeholder/lang/nb.js
lib/GNUstep/SOGo/WebServerResources/ckeditor/plugins/placeholder/lang/nl.js
lib/GNUstep/SOGo/WebServerResources/ckeditor/plugins/placeholder/lang/no.js
lib/GNUstep/SOGo/WebServerResources/ckeditor/plugins/placeholder/lang/pl.js
lib/GNUstep/SOGo/WebServerResources/ckeditor/plugins/placeholder/lang/pt-br.js
lib/GNUstep/SOGo/WebServerResources/ckeditor/plugins/placeholder/lang/tr.js
lib/GNUstep/SOGo/WebServerResources/ckeditor/plugins/placeholder/lang/ug.js
lib/GNUstep/SOGo/WebServerResources/ckeditor/plugins/placeholder/lang/uk.js
@ -1743,17 +1747,20 @@ lib/GNUstep/SOGo/WebServerResources/ckeditor/plugins/specialchar/lang/_translati
lib/GNUstep/SOGo/WebServerResources/ckeditor/plugins/specialchar/lang/cs.js
lib/GNUstep/SOGo/WebServerResources/ckeditor/plugins/specialchar/lang/cy.js
lib/GNUstep/SOGo/WebServerResources/ckeditor/plugins/specialchar/lang/de.js
lib/GNUstep/SOGo/WebServerResources/ckeditor/plugins/specialchar/lang/el.js
lib/GNUstep/SOGo/WebServerResources/ckeditor/plugins/specialchar/lang/en.js
lib/GNUstep/SOGo/WebServerResources/ckeditor/plugins/specialchar/lang/eo.js
lib/GNUstep/SOGo/WebServerResources/ckeditor/plugins/specialchar/lang/et.js
lib/GNUstep/SOGo/WebServerResources/ckeditor/plugins/specialchar/lang/fa.js
lib/GNUstep/SOGo/WebServerResources/ckeditor/plugins/specialchar/lang/fi.js
lib/GNUstep/SOGo/WebServerResources/ckeditor/plugins/specialchar/lang/fr.js
lib/GNUstep/SOGo/WebServerResources/ckeditor/plugins/specialchar/lang/he.js
lib/GNUstep/SOGo/WebServerResources/ckeditor/plugins/specialchar/lang/hr.js
lib/GNUstep/SOGo/WebServerResources/ckeditor/plugins/specialchar/lang/it.js
lib/GNUstep/SOGo/WebServerResources/ckeditor/plugins/specialchar/lang/nb.js
lib/GNUstep/SOGo/WebServerResources/ckeditor/plugins/specialchar/lang/nl.js
lib/GNUstep/SOGo/WebServerResources/ckeditor/plugins/specialchar/lang/no.js
lib/GNUstep/SOGo/WebServerResources/ckeditor/plugins/specialchar/lang/pt-br.js
lib/GNUstep/SOGo/WebServerResources/ckeditor/plugins/specialchar/lang/tr.js
lib/GNUstep/SOGo/WebServerResources/ckeditor/plugins/specialchar/lang/ug.js
lib/GNUstep/SOGo/WebServerResources/ckeditor/plugins/specialchar/lang/zh-cn.js
@ -1804,6 +1811,7 @@ lib/GNUstep/SOGo/WebServerResources/ckeditor/plugins/uicolor/lang/nb.js
lib/GNUstep/SOGo/WebServerResources/ckeditor/plugins/uicolor/lang/nl.js
lib/GNUstep/SOGo/WebServerResources/ckeditor/plugins/uicolor/lang/no.js
lib/GNUstep/SOGo/WebServerResources/ckeditor/plugins/uicolor/lang/pl.js
lib/GNUstep/SOGo/WebServerResources/ckeditor/plugins/uicolor/lang/pt-br.js
lib/GNUstep/SOGo/WebServerResources/ckeditor/plugins/uicolor/lang/tr.js
lib/GNUstep/SOGo/WebServerResources/ckeditor/plugins/uicolor/lang/ug.js
lib/GNUstep/SOGo/WebServerResources/ckeditor/plugins/uicolor/lang/uk.js
@ -2207,6 +2215,8 @@ share/doc/sogo/preferences.png
share/doc/sogo/sogo.png
share/doc/sogo/sql-update-1.3.11_to_1.3.12-mysql.sh
share/doc/sogo/sql-update-1.3.11_to_1.3.12-postgres.sh
share/doc/sogo/sql-update-1.3.16_to_1.3.17-mysql.sh
share/doc/sogo/sql-update-1.3.16_to_1.3.17-postgres.sh
@mode 750
@owner _sogo
@group _sogo

View File

@ -1,4 +1,4 @@
# $OpenBSD: README,v 1.5 2012/07/08 14:21:02 sebastia Exp $
# $OpenBSD: README,v 1.6 2012/08/17 09:59:08 sebastia Exp $
+-----------------------------------------------------------------------
| Running ${FULLPKGNAME} on OpenBSD
@ -199,13 +199,25 @@ Run one of the following scripts as the SOGo system user _sogo. Depending on
the database you use, choose the postgres or mysql variant. The scripts
will ask you for the database credentials.
$ ${TRUEPREFIX}/share/doc/sogo/sql-update-1.3.11_to_1.3.12-postgres.sh
$ ${TRUEPREFIX}/share/doc/sogo/sql-update-1.3.11_to_1.3.12-mysql.sh
$ sudo -u _sogo ${TRUEPREFIX}/share/doc/sogo/sql-update-1.3.11_to_1.3.12-postgres.sh
$ sudo -u _sogo ${TRUEPREFIX}/share/doc/sogo/sql-update-1.3.11_to_1.3.12-mysql.sh
Upgrade SOGo from < 1.3.16
=======================================
New password schemes were introduced. You may want to set the
userPasswordAlgorithm default, i.e.:
$ defaults write sogod userPasswordAlgorithm ssha
$ sudo -u _sogo defaults write sogod userPasswordAlgorithm ssha
Upgrade SOGo from < 1.3.17
=======================================
With version 1.2.17, the "cycle info" field of the calendar tables
was enlarged.
Run one of the following scripts as the SOGo system user _sogo. Depending on
the database you use, choose the postgres or mysql variant. The scripts
will ask you for the database credentials.
$ sudo -u _sogo ${TRUEPREFIX}/share/doc/sogo/sql-update-1.3.16_to_1.3.17-postgres.sh
$ sudo -u _sogo ${TRUEPREFIX}/share/doc/sogo/sql-update-1.3.16_to_1.3.17-mysql.sh